com.io7m.jregions.core.unparameterized.sizes

## Class AreaSizeL.Builder

- java.lang.Object
- - com.io7m.jregions.core.unparameterized.sizes.AreaSizeL.Builder

- Enclosing class:
    AreaSizeL

      public static final class AreaSizeL.Builder
      extends Object

  Builds instances of type `AreaSizeL`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

  `Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AreaSizeL` | `build()` Builds a new `AreaSizeL`.
    `AreaSizeL.Builder` | `from(AreaSizeLType instance)` Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.sizes.AreaSizeLType` instance.
    `AreaSizeL.Builder` | `from(AreaSizeValuesLType instance)` Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.sizes.AreaSizeValuesLType` instance.
    `AreaSizeL.Builder` | `setHeight(long height)` Initializes the value for the `height` attribute.
    `AreaSizeL.Builder` | `setWidth(long width)` Initializes the value for the `width` attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public final AreaSizeL.Builder from(AreaSizeLType instance)

      Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.sizes.AreaSizeLType` instance.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### from

          public final AreaSizeL.Builder from(AreaSizeValuesLType instance)

      Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.sizes.AreaSizeValuesLType` instance.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### setWidth

          public final AreaSizeL.Builder setWidth(long width)

      Initializes the value for the `width` attribute.
      Parameters:
        `width` - The value for width
      Returns:
        `this` builder for use in a chained invocation

    - #### setHeight

          public final AreaSizeL.Builder setHeight(long height)

      Initializes the value for the `height` attribute.
      Parameters:
        `height` - The value for height
      Returns:
        `this` builder for use in a chained invocation

    - #### build

          public AreaSizeL build()

      Builds a new `AreaSizeL`.
      Returns:
        An immutable instance of AreaSizeL
      Throws:
        `IllegalStateException` - if any required attributes are missing

Copyright © 2017 <code@io7m.com> http://io7m.com